Welcome to the VanDyke Software Forums

Join the discussion today!


Go Back   VanDyke Software Forums > General

Reply
 
Thread Tools Display Modes
  #1  
Old 07-31-2012, 10:28 PM
1986 1986 is offline
Registered User
 
Join Date: Jul 2012
Posts: 3
Lightbulb The character encoding 'GB2312' is not supported on this system.

SecureCRT 7.0 scrt-7.0.0-326.ubuntu11.i386.deb

Just alert me that:
The character encoding 'GB2312' is not supported on this system.
using default character encoding.

I'm using archlinux kernel 3.4.6
# uname -a
Linux myhost 3.4.6-1-ARCH #1 SMP PREEMPT Fri Jul 20 07:24:45 UTC 2012 i686 GNU/Linux

Some Environment Variable:
LC_ALL=en_US.UTF-8
LC_COLLATE=C
LANG=en_US.UTF-8

How can i fix that?
Reply With Quote
  #2  
Old 08-01-2012, 11:35 AM
bgagnon bgagnon is offline
VanDyke Technical Support
 
Join Date: Oct 2008
Posts: 4,596
Hi 1986,

It is not clear why you are getting that error. This is the first report we have received of this behavior.

Because you are running SecureCRT on Arch Linux, which is not an officially supported platform, it may take us some time to investigate.

Would you provide a list of the explicit steps that led to receiving the error?
__________________
Thanks,
--Brenda

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #3  
Old 08-02-2012, 02:20 AM
1986 1986 is offline
Registered User
 
Join Date: Jul 2012
Posts: 3
Smile addtion description

Step 1:
Open: http://www.vandyke.com/download/securecrt/download.html
Download: scrt-7.0.0-326.ubuntu11.i386.deb
To: /tmp/

Step 2:
Code:
cat > /tmp/PKGBUILD << "EOF"
pkgname='securecrt'
pkgver='7.0.0.326'
pkgrel='0'
arch='i686'
url='http://www.vandyke.com/download/securecrt/download.html'
license=('unknown')
pkgdesc='SecureCRT for GNU/Linux'
# depends=('sqlite3' 'qt')
source=('/tmp/scrt-7.0.0-326.ubuntu11.i386.deb')
md5sums=('d980a77bdeef4464b1fe8773c82c366b')

build(){
    ar x scrt-7.0.0-326.ubuntu11.i386.deb
    tar xf data.tar.gz -C ${pkgdir}
}
EOF
Step 3:
Code:
cd /tmp/
makepkg
sudo pacman -U securecrt-7.0.0.326-0-i686.pkg.tar.xz
Step 4:
Run: SecureCRT

Step 5:
Add a remote ssh-host
And ...
Session Options - Terminal - Appearance - Character encoding - 'GB2312'
then connect to this host:


Over.

I'm using an other ssh client "terminator" at the same linux,
connect to the same ssh-host use 'GB2312' encoding just fine.

Thanks for Reply!
Reply With Quote
  #4  
Old 08-02-2012, 09:36 AM
bgagnon bgagnon is offline
VanDyke Technical Support
 
Join Date: Oct 2008
Posts: 4,596
Hello 1986,

I have submitted this behavior for investigation by Development. Should progress be made toward a resolution, or further information be requested, I will post in this thread.

If you prefer direct e-mail notification, contact support@vandyke.com and include "Bug Report - Forum Thread #10602" in the subject line.
__________________
Thanks,
--Brenda

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #5  
Old 10-16-2012, 01:59 PM
bgagnon bgagnon is offline
VanDyke Technical Support
 
Join Date: Oct 2008
Posts: 4,596
Hello 1986,

The development team has informed me there is a new build available where GB2312 will no longer show up in the list of character encodings on Ubuntu 11 since this encoding is not supported nor required on this platform.

When the development team tested on Ubuntu 11, they found that UTF-8 character encoding works correctly after installing the Chinese Traditional and Simplified language packs.

If choosing UTF-8 does not work for you, please let us know which language packs you have installed and how to reproduce a specific problem (i.e., specific text that is rendered incorrectly).
__________________
Thanks,
--Brenda

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
  #6  
Old 12-18-2012, 06:48 PM
1986 1986 is offline
Registered User
 
Join Date: Jul 2012
Posts: 3


That a sad news.
'GB2312' is a necessarily character encoding for Chinese Traditional and Simplified language, and 'UFT-8' can't resolve every situation...

But Thanks for reply!
Reply With Quote
  #7  
Old 12-19-2012, 08:10 AM
bgagnon bgagnon is offline
VanDyke Technical Support
 
Join Date: Oct 2008
Posts: 4,596
Hello 1986,

Quote:
'GB2312' is a necessarily character encoding for Chinese Traditional and Simplified language, and 'UFT-8' can't resolve every situation...
As mentioned in the prior post, the development team will want to investigate any incompatibilities, but they need additional information.

If choosing UTF-8 does not work for you, please let us know which language packs you have installed and how to reproduce a specific problem (i.e., specific text that is rendered incorrectly).
__________________
Thanks,
--Brenda

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote
Reply

Tags
gb2312 , securecrt


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -6. The time now is 07:56 PM.